{
  "expo": {
    "name": "JR四国運行状況",
    "slug": "jrshikoku",
    "platforms": ["ios", "android"],
    "plugins": [
      "expo-localization",
      [
        "expo-video",
        {
          "supportsBackgroundPlayback": true,
          "supportsPictureInPicture": true
        }
      ],
      [
        "react-native-android-widget",
        {
          "widgets": [
            {
              "name": "JR_shikoku_train_info",
              "label": "JR四国列車遅延速報EX",
              "minWidth": "70dp",
              "minHeight": "50dp",
              "description": "JR四国列車遅延速報EXのウィジェットです。30分ごとに自動更新します。タッチすると強制更新します。",
              "previewImage": "./assets/icon.png",
              "updatePeriodMillis": 1800000,
              "resizeMode": "horizontal|vertical"
            }
          ]
        }
      ],
      "expo-font",
      [
        "expo-screen-orientation",
        {
          "initialOrientation": "DEFAULT"
        }
      ],
      [
        "expo-location",
        {
          "locationWhenInUsePermission": "この位置情報は、リンク画面で現在地側近の駅情報を取得するのに使用されます。"
        }
      ],
      [
        "expo-alternate-app-icons",
        [
          {
            "name": "EF65",
            "ios": {
              "light":"./assets/icons/ef65_rp0.png",
              "dark":"./assets/icons/ef65_rp0.png",
              "tinted":"./assets/icons/ef65_rp0.png"
            },
            "android": {
              "foregroundImage": "./assets/icons/ef65_rp0.png", 
              "backgroundColor": "#001413" 
            }
          },
          {
            "name": "8000NN",
            "ios": "./assets/icons/s8000nn.png", 
            "android": {
              "foregroundImage": "./assets/icons/s8000nn.png",
              "backgroundColor": "#001413"
            }
          }
        ]
      ]
    ],
    "version": "6.0",
    "orientation": "default",
    "icon": "./assets/icons/s8000nn.png",
    "splash": {
      "image": "./assets/splash.png",
      "resizeMode": "vertical",
      "backgroundColor": "#00b8ff"
    },
    "updates": {
      "fallbackToCacheTimeout": 0,
      "url": "https://u.expo.dev/398abf60-57a7-11e9-970c-8f04356d08bf"
    },
    "assetBundlePatterns": ["**/*"],
    "ios": {
      "buildNumber": "39",
      "supportsTablet": false,
      "bundleIdentifier": "jrshikokuinfo.xprocess.hrkn",
      "config": {
        "googleMapsApiKey": "AIzaSyAVGDTjBkR_0wkQiNkoo5WDLhqXCjrjk8Y"
      },
      "infoPlist": {
        "NFCReaderUsageDescription": "To read FeliCa card",
        "com.apple.developer.nfc.readersession.felica.systemcodes": [
          "0003",
          "FE00"
        ]
      },
      "entitlements": {
        "com.apple.developer.nfc.readersession.formats": [
          "TAG"
        ]
      }
    },
    "android": {
      "package": "jrshikokuinfo.xprocess.hrkn",
      "versionCode": 22,
      "permissions": [
        "ACCESS_FINE_LOCATION",
        "NFC"
      ],
      "googleServicesFile": "./google-services.json",
      "config": {
        "googleMaps": {
          "apiKey": "AIzaSyAmFb-Yj033bXZWlSzNrfq_0jc1PgRrWcE"
        }
      }
    },
    "extra": {
      "eas": {
        "projectId": "398abf60-57a7-11e9-970c-8f04356d08bf"
      }
    },
    "runtimeVersion": {
      "policy": "sdkVersion"
    }
  }
}
